Page MenuHomePhabricator

Read both email addresses and Google Account IDs from Google OAuth
ClosedPublic

Authored by epriestley on Feb 24 2020, 9:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Apr 17, 3:18 PM
Unknown Object (File)
Thu, Apr 11, 9:31 AM
Unknown Object (File)
Sun, Mar 31, 7:36 PM
Unknown Object (File)
Wed, Mar 27, 10:51 PM
Unknown Object (File)
Mon, Mar 25, 11:15 PM
Unknown Object (File)
Mar 15 2024, 6:39 AM
Unknown Object (File)
Feb 3 2024, 11:46 PM
Unknown Object (File)
Jan 25 2024, 2:16 AM
Subscribers
None

Details

Summary

Ref T13493. Google returns a lower-quality account identifier ("email") and a higher-quality account identifier ("id"). We currently read only "email".

Change the logic to read both "email" and "id", so that if Google ever moves away from "email" the transition will be a bit easier.

Test Plan

Linked/unlinked a Google account, looked at the external account identifier table.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Feb 24 2020, 9:26 PM
This revision was automatically updated to reflect the committed changes.